# Sigmon

A tool to monitor WiFi signal strength and metrics continuously in the terminal.
It uses `iwconfig` to get the metrics and `plotext` to plot them.

![sigmon](./sigmon.png)


## Features

- Fast, lightweight and simple
- Continuous monitoring of WiFi signal strength and metrics
- Average signal strength is displayed too
- Plots are saved as PNG files with averages

## Requirements

- `iw`
- Python 3.10+ (may work on older versions, but not tested)

### Install `iw` on Ubuntu (and probably other Debian-based systems)

```bash
sudo apt-get install iw
```

## Usage from binary

Download the binary from the [releases](https://github.com/tcsenpai/sigmon/releases) page.

```bash
./sigmon
```

## Usage from source

### Installation

```bash
pip install -r requirements.txt
```

### Usage

```bash
python src/main.py
```
